<?php
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );
// needed to seperate the ISO number from the language file constant _ISO
$iso = explode( '=', _ISO );
// xml prolog
echo '<?xml version="1.0" encoding="'. $iso[1] .'"?' .'>';
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<?php mosShowHead(); ?>
<?php
if ( $my->id ) {
	initEditor();
}
//right based combos
if ( mosCountModules( 'top' ) and ( empty( $_REQUEST['task'] ) || $_REQUEST['task'] != 'edit' ) ) {
	$top = 1;
} 
?>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo _ISO; ?>" />
<link href="<?php echo $mosConfig_live_site;?>/templates/blue_lasso/css/template_css.css" rel="stylesheet" type="text/css"/>
<script language="javascript"  type="text/javascript"> 
function getHTTPObject() { 
  var xmlhttp; 
  /*@cc_on 
  @if (@_jscript_version >= 5) 
    try { 
      xmlhttp = new ActiveXObject("Msxml2.XMLHTTP"); 
    } catch (e) { 
      try { 
        xmlhttp = new ActiveXObject("Microsoft.XMLHTTP"); 
      } catch (E) { 
        xmlhttp = false; 
      } 
    } 
  @else 
  xmlhttp = false; 
  @end @*/ 
  if (!xmlhttp && typeof XMLHttpRequest != 'undefined') { 
    try { 
      xmlhttp = new XMLHttpRequest(); 
    } catch (e) { 
      xmlhttp = false; 
    } 
  } 
  return xmlhttp; 
 } 
var http = getHTTPObject(); // We create the HTTP Object 
var url = ""; // The server-side script 
function handleHttpResponse() { 
  if (http.readyState == 4) { 
    result = http.responseText; 
    document.getElementById('MitraAjax').innerHTML  = result; 
	showDIV(false);
  } 
 } 
function showDIV(Showed) {
//	alert((Showed)?"block":"none");
	var DIVImage = document.getElementById("divLoading");
	DIVImage.style.display = (Showed)?"block":"none";
 }
/*
function echoResult(v) { 
if((v.substr(0,7) == 'http://')||(v.substr(0,8) == 'https://')||(v.substr(0,6) == 'ftp://'))
window.open(v);
else 
 {
	showDIV(true);
 if(v.substr(0,10) == 'index.php?')
	v = "index2" + v.slice(5) + "&t=<?=date('YMDHmt');?>";
	else
	v = "index2" + v.slice(5) + "?t=<?=date('YMDHmt');?>";
  http.open("GET", v , true); 
  http.onreadystatechange = handleHttpResponse; 
  http.send(null); 
  } 
 } 
*/
function echoResult(e) { 
if (!e) var e = window.event
if (e.target) targ = e.target
else if (e.srcElement) targ = e.srcElement
if(targ.rel)
v = targ.rel;
else
{
targ = targ.parentNode;
v = targ.rel;
}
if((v.substr(0,7) == 'http://')||(v.substr(0,8) == 'https://')||(v.substr(0,6) == 'ftp://'))
window.open(v);
else 
 {
	showDIV(true);
if((v.length == 9) && (v.substr(0,9) == 'index.php'))
	v = 'index.php?option=com_frontpage';
 if(v.substr(0,10) == 'index.php?')
	v = "index2" + v.slice(5) + "&t=<?=date('YMDHmt');?>";
	else
	v = "index" + v.slice(5) + "?t=<?=date('YMDHmt');?>";
	
  http.open("GET", v , true); 
  http.onreadystatechange = handleHttpResponse; 
  http.send(null); 
  } 
 } 

function echoResultform(v) { 
if((v.substr(0,7) == 'http://')||(v.substr(0,8) == 'https://')||(v.substr(0,6) == 'ftp://'))
window.open(v);
else 
 {
	showDIV(true);
  d = new Date();
  s = d.getMilliseconds();

	v = "index2" + v.slice(5) + "?t=" + s ;
  http.open("GET", v , true); 
  http.onreadystatechange = handleHttpResponse; 
  http.send(null); 
  } 
 } 

function sf(e){
if (!e) var e = window.event
if (e.target) targ = e.target
else if (e.srcElement) targ = e.srcElement
if (targ.nodeType == 3) // defeat Safari bug
   targ = targ.parentNode
if(targ.parentNode.nodeName == "A") 
   targ = targ.parentNode
var k="";
k = targ.action;
if(k.indexOf('?') == -1)
k = targ.action + "?";
else
k = targ.action + "&";
for (var i = 0; i < targ.elements.length; i++) 
	{
        	k = k + targ.elements[i].name + "=" + targ.elements[i].value + "&" ;
    }
b = "<?=$mosConfig_live_site;?>/";
a = k;
if(a.length)
	{
	if(a.substr(0,b.length) == b)
	a = a.substr(b.length);
	echoResultform(a);
	}
return false;
}

//======================= Handeling Wich element is clicked.
/*
function clickIt(e)  
{
var a , b;
var targ
if (!e) var e = window.event
if (e.target) targ = e.target
else if (e.srcElement) targ = e.srcElement
if (targ.nodeType == 3) // defeat Safari bug
   targ = targ.parentNode
var tname
tname=targ.tagName
a = "";
if("A" ==  tname)
a = targ.href;
b = "<?=$mosConfig_live_site;?>/";
if(a.length)
	{
	if(a.substr(0,b.length) == b)
	a = a.substr(b.length);
	echoResult(a);
	}
 }
*/
function clickIt(e)  
{
if (!e) var e = window.event
if (e.target) targ = e.target
else if (e.srcElement) targ = e.srcElement
if (targ.nodeType == 3) // defeat Safari bug
   targ = targ.parentNode;
if(targ.parentNode.nodeName == "A") 
   targ = targ.parentNode;
var tname;

tname=targ.tagName;

	if((tname == "A")&&(targ.rel=="")&&(targ.href.substr(0,11)!="javascript:")&&(targ.href.substr(0,7)!="mailto:") && ( targ.target != '_blank'))
		{
			a = targ.href;
			b = "<?=$mosConfig_live_site;?>/";
				
				if(a.length)
					if(a.substr(0,b.length) == b)
						a = a.substr(b.length);
			if(targ.onclick == null) 
			targ.onclick = echoResult;
			targ.rel = a;
			targ.href = "#";
		}

if((tname.toUpperCase() == "INPUT") || (tname.toUpperCase() == "SELECT"))
{
	while(targ.nodeName.toUpperCase() != "FORM")
		{
		if(targ.nodeName.toUpperCase() != "FORM")
		targ = targ.parentNode;
		}
//		alert(targ.nodeName);	
	targ.onsubmit= sf;
	}
	}

</script>
<style>
#divLoading {
	position: absolute;
	top: 50%;
	left: 35%;
	width: 302px;
	height: 52px;
	z-index: 99;
	background: transparent url(templates/blue_lasso/images/loading.gif) no-repeat;
	padding: 30px 10px;
    margin: auto;
}
</style>
</head>

<body onmouseover="clickIt(event)"> 
<div id="divLoading" style="display:none" align="center">
	<img src="templates/blue_lasso/images/progress.gif" border="0" alt="Loading" />
</div>
<div align="center">
<table border="0" cellpadding="0" cellspacing="0" width="100%">
	<tr>
		<td style="background-color: #FFFFFF; background-image: url('<?php echo $mosConfig_live_site;?>/templates/blue_lasso/images/bac.png'); background-repeat: repeat-x; background-position-y: top">
		<div align="center">
			<table border="0" cellpadding="0" cellspacing="0" width="809">
				<tr>
					<td>
					<table border="0" cellpadding="0" cellspacing="0" width="100%">
						<tr>
							<td width="8">
							<img border="0" src="<?php echo $mosConfig_live_site;?>/templates/blue_lasso/images/body/top_left.png"></td>
							<td style="background-image: url('<?php echo $mosConfig_live_site;?>/templates/blue_lasso/images/body/logo.jpg'); background-repeat: no-repeat; background-position-y: bottom" valign="top">
							<table border="0" cellpadding="0" cellspacing="0" width="793">
								<tr>
									<td height="99" width="10">&nbsp;</td>
									<td height="99" width="631">&nbsp;</td>
									<td height="99" width="127">&nbsp;</td>
									<td height="99" width="26">&nbsp;</td>
								</tr>
								<tr>
									<td width="10" height="43">&nbsp;</td>
									<td height="43" width="631" valign="top">
									<?php mosLoadModules ( 'user3',-1 ); ?></td>
									<td width="127" height="43">&nbsp;</td>
									<td width="26" height="43">&nbsp;</td>
								</tr>
								<tr>
									<td width="10">&nbsp;</td>
									<td width="631">&nbsp;</td>
									<td width="127"><form action="index.php" method="get">
	<div class="search">
		<input name="searchword" id="mod_search_searchword" maxlength="20" alt="search" class="inputbox-nav" type="text" size="20" value="search..."  onblur="if(this.value=='') this.value='search...';" onfocus="if(this.value=='search...') this.value='';" />	</div>

	<input type="hidden" name="option" value="com_search" />
	<input type="hidden" name="Itemid" value="5" />	
</form></td>
									<td width="26">&nbsp;</td>
								</tr>
							</table>
							</td>
							<td width="8">
							<img border="0" src="<?php echo $mosConfig_live_site;?>/templates/blue_lasso/images/body/top_right.png"></td>
						</tr>
					</table>
					</td>
				</tr>
			</table>
		</div>
		</td>
	</tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%">
	<tr>
		<td>
		<div align="center">
			<table border="0" cellpadding="0" cellspacing="0" width="809">
				<tr>
					<td width="8" style="background-image: url('<?php echo $mosConfig_live_site;?>/templates/blue_lasso/images/body/left.png'); background-repeat: repeat-y">&nbsp;</td>
					<td>
					<table border="0" cellpadding="0" cellspacing="0" width="100%">
						<tr>
							<td width="4" valign="top">&nbsp;</td>
							<td width="171" valign="top" style="height: 600px; background-image: url('<?php echo $mosConfig_live_site;?>/templates/blue_lasso/images/main/right_mod.png'); background-repeat: repeat-y; background-position: right">
							<table border="0" cellpadding="0" cellspacing="0" width="173">
								<tr>
									<td style="background-image: url('<?php echo $mosConfig_live_site;?>/templates/blue_lasso/images/main/top.png'); background-repeat: repeat-x" width="165">
									<img border="0" src="<?php echo $mosConfig_live_site;?>/templates/blue_lasso/images/main/top.png" width="1" height="6"></td>
									<td style="background-image: url('<?php echo $mosConfig_live_site;?>/templates/blue_lasso/images/main/top.png'); background-repeat: repeat-x" width="6">
									<img border="0" src="<?php echo $mosConfig_live_site;?>/templates/blue_lasso/images/main/top_mod.png" width="6" height="6"></td>
								</tr>
								<tr>
									<td style="height: 600px; background-image: url('<?php echo $mosConfig_live_site;?>/templates/blue_lasso/images/main/bac_mod.png'); background-repeat: repeat-x; background-position-y: top" valign="top" width="165">
									<?php mosLoadModules ( 'left',-2 ); ?></td>
									<td style="height: 600px; background-image: url('<?php echo $mosConfig_live_site;?>/templates/blue_lasso/images/main/right_mod.png'); background-repeat: repeat-y" valign="top" width="6">&nbsp;</td>
								</tr>
							</table>
							</td>
							<td valign="top" style="height: 600px; background-image: url('<?php echo $mosConfig_live_site;?>/templates/blue_lasso/images/main/bac_main.png'); background-repeat: repeat-y; background-position-x: left">
							<table border="0" cellpadding="0" cellspacing="0" width="100%">
								<tr>
									<td width="7">
									<img border="0" src="<?php echo $mosConfig_live_site;?>/templates/blue_lasso/images/main/spacer.png"></td>
									<td style="background-image: url('<?php echo $mosConfig_live_site;?>/templates/blue_lasso/images/main/top.png'); background-repeat: repeat-x">
									<img border="0" src="<?php echo $mosConfig_live_site;?>/templates/blue_lasso/images/main/top.png" width="1" height="6"></td>
									<td width="11">
									<img border="0" src="<?php echo $mosConfig_live_site;?>/templates/blue_lasso/images/main/top_right.png"></td>
								</tr>
															<?php
							if ( $top > 0 ) {
		  				?>
								<tr>
									<td width="7">&nbsp;</td>
									<td style="height: 120px; background-image: url('<?php echo $mosConfig_live_site;?>/templates/blue_lasso/images/main/bac_newsflash.png'); background-repeat: repeat-x; background-position-y: top" valign="top">
									<?php mosLoadModules ( 'top',-3 ); ?></td>
									<td width="11">&nbsp;</td>
								</tr>
								<tr>
									<td width="7">
									<img border="0" src="<?php echo $mosConfig_live_site;?>/templates/blue_lasso/images/main/space2.png"></td>
									<td style="background-image: url('<?php echo $mosConfig_live_site;?>/templates/blue_lasso/images/main/bac_space.png'); background-repeat: repeat-x">
									<img border="0" src="<?php echo $mosConfig_live_site;?>/templates/blue_lasso/images/main/bac_space.png" width="2" height="7"></td>
									<td width="11">
									<img border="0" src="<?php echo $mosConfig_live_site;?>/templates/blue_lasso/images/main/space.png" width="11" height="7"></td>
								</tr>
		  				<?php
		  			}
		  			?>
								<tr>
									<td width="7">&nbsp;</td>
									<td style="height: 454px" valign="top">
						<div id="MitraAjax">
						<script language="javascript">
						showDIV(true);
						</script>
						<? mosMainBody();?>
						<script language="javascript">
						showDIV(false);
						</script>
						</div>
</td>
									<td width="11">&nbsp;</td>
								</tr>
								<tr>
									<td width="7">&nbsp;</td>
									<td>&nbsp;</td>
									<td width="11">&nbsp;</td>
								</tr>
							</table>
							</td>
						</tr>
					</table>
					</td>
					<td width="8" style="background-image: url('<?php echo $mosConfig_live_site;?>/templates/blue_lasso/images/body/right.png'); background-repeat: repeat-y">&nbsp;</td>
				</tr>
			</table>
		</div>
		</td>
	</tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%" style="background-image: url('<?php echo $mosConfig_live_site;?>/templates/blue_lasso/images/body/bac_footer.png'); background-repeat: repeat-x">
	<tr>
		<td>
		<div align="center">
			<table border="0" cellpadding="0" cellspacing="0" width="809">
				<tr>
					<td width="8" style="background-image: url('<?php echo $mosConfig_live_site;?>/templates/blue_lasso/images/body/left.png'); background-repeat: repeat-y">
					<img border="0" src="<?php echo $mosConfig_live_site;?>/templates/blue_lasso/images/body/bot_left.png"></td>
					<td style="background-image: url('<?php echo $mosConfig_live_site;?>/templates/blue_lasso/images/body/footer.png'); background-repeat: no-repeat; background-position-y: bottom" valign="top">
					<table border="0" cellpadding="0" cellspacing="0" width="100%">
						<tr>
							<td width="168" style="height: 73px">&nbsp;</td>
							<td style="height: 73px">&nbsp;</td>
							<td width="149" style="height: 73px">&nbsp;</td>
						</tr>
						<tr>
							<td width="168">&nbsp;</td>
							<td><?php include_once( $GLOBALS['mosConfig_absolute_path'] . '/includes/footer.php' ); ?></td>
							<td width="149">&nbsp;</td>
						</tr>
						<tr>
							<td width="168">&nbsp;</td>
							<td style="height: 25px" class="footer">
							Design :
							<a href="http://www.studentsdesign.de" class="footer">
							StudentsDesign</a></td>
							<td width="149">&nbsp;</td>
						</tr>
					</table>
					</td>
					<td width="8" style="background-image: url('<?php echo $mosConfig_live_site;?>/templates/blue_lasso/images/body/right.png'); background-repeat: repeat-y">
					<img border="0" src="<?php echo $mosConfig_live_site;?>/templates/blue_lasso/images/body/bot_right.png"></td>
				</tr>
			</table>
		</div>
		</td>
	</tr>
</table>
</div>
</body>
</html>   